#if CONFIG_HAVE_PRCTL
#include <sys/prctl.h>
#ifdef PR_SET_CHILD_SUBREAPER
static inline int sm_reaper_set_child_reaper(int active)
{
	return prctl(PR_SET_CHILD_SUBREAPER, active, 0, 0, 0) < 0 ? -errno : 0;
}
#define sm_reaper_set_child_reaper sm_reaper_set_child_reaper
#endif
#endif

#ifndef sm_reaper_set_child_reaper
static inline int sm_reaper_set_child_reaper(int active) {
	return -ENOSYS;
}
#endif
