#pragma once
#include <sys/types.h>

#define SM_REAPER_FD 3

struct sm_reaper_proc {
	pid_t pid;
        int fd;
} __attribute__((packed));

struct sm_reaped_proc {
	pid_t pid;
	int status;
	int code;
} __attribute__((packed));

int sm_reaper_open(void);
int sm_reaper_add(int, const struct sm_reaper_proc *proc);
int sm_reaper_get(int, struct sm_reaped_proc *proc);
void sm_reaper_close(int);
