#include <err.h>
#include "libreap.h"

void sm_spawner_usage(int requested)
{
	errx(requested ? 0 : 255, "usage: DBFILE");
}

int sm_spawner_main(int argc, char **argv)
{
	int rfd = sm_reaper_open();
	if (rfd < 0)
		err(1, "could not open reaper");
	warnx("connect to reaper");
	sm_reaper_close(rfd);
	return 0;
}
